function tree = caenP(pkt,en,ny);%calculation of entropy /(l1 norm)
[n,L] = size(pkt);
if en==1 %(entropy)
  p = (pkt(:)/ny).^2;
             tree = - (sum(p .* log(eps+p)));
elseif en==2 %(l1 norm)
    tree=sum(abs(pkt(:)))/n/L;
end
  